#~ /***************************************************************************
 #~ *            CPConstants.py
 #~ *
 #~ *  Mon Feb 23 11:21:36 2004
 #~ *  Copyright  2004  Stas Z
 #~ *  stasz@linux.isbeter.nl
 #~ ****************************************************************************/

## CPConstants
## This file provides constants used by all the childsplay modules
import os,sys
def get_rootdir():
    """Returns the CWD, on Linux this will be the same as os.getcwd().
     But on win32, it can be anything when run from a standalone exe, crapware!"""
    return os.path.abspath(sys.path[0])

# constants
HOME_DIR_NAME = '.childsplay'
# this is the directory tree in HOME_DIR_NAME.
# Names seperated by commas are the names from which directories are created
# if a name are followed by a ; then the next name is considered a sub dir.
# Example: 'childsplay,memory;my_images', will become
# $HOME/.childsplay/childsplay/
# $HOME/.childsplay/memory/my_images/
HOME_DIR_TREE = 'childsplay,ConfigData,memory;my_images'
## paths ##
BASEDIR = os.path.abspath(sys.path[0]) 
if os.name == 'nt':
    LOCALEDIR = BASEDIR
    ASSETMLROOT = os.path.join(get_rootdir(),'assetml')
else:
    LOCALEDIR = os.path.join('/','usr','local','share','locale')
    ASSETMLROOT = '/usr/share/assetml'
LIBDIR = os.path.join(BASEDIR,'lib')
RCDIR = os.path.join(LIBDIR,'ConfigData')

##  flags ##
MONITOR = None # Special monitor plugin, optional, future use
RCFILES = None # Can we use configuration files
SPLASH = True # do we want a splash  
helptext = "Not much help here yet, look at the manpage and docs."
